ROTD(8)

NAME
rotd - Hamlib rotator service daemon

SYNOPSIS
rpc.rotd [OPTION]...

DESCRIPTION
The rotd program is a Hamlib rotator daemon that handles RPC client requests.

Keep in mind that Hamlib is still ALPHA level software. A lof of stuff hasn't been tested thoroughly, and the API may change without publicised notice. Please report bugs and feedback at the e-mail address given in the REPORTING BUGS section.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-m, --model=id
    Select rotator model number. See model list.

-r, --rot-file=device
    Use device as the file name of the rotator to operate on.

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximal rotator speed as default.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter.

-t, --prog=number
    Use number as the RPC program number. The default is 536873369.

-v, --verbose
    Set verbose mode, cumulative (BUG, ERR, WARN, VERBOSE, TRACE).

-h, --help
    Show summary of options and exit.

-V, --version
    Show version of program and exit.

Please note that the backend for the rotator to be controlled, or the rotator itself may not support some commands. In that case, the operation will fail with a standard error code.

AUTHOR
Written by Stephane Fillod.

BUGS
No authentication whatsoever. Could be done through domain restriction though. Please ask if stronger security needed.

This almost empty section...

REPORTING BUGS
Report bugs to <hamlib-developer@users.sourceforge.net>.
I'm already aware of the bug in the previous section :-)

COPYRIGHT
Copyright © 2000-2002 Stephane Fillod. Contributed by Francois Retief <fgretief@sun.ac.za>.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
rotctl(1)